#!/bin/sh
    # fixup omreg
    cat %{sysconfdir}/omreg.d/*.cfg > %{sysconfdir}/omreg.cfg 2>/dev/null ||:

    ##########################################
    # Perform Data Engine configuration
    ##########################################
    [ ! -e %{libexecdir}/srvadmin-omilcore/Funcs.sh ] || . %{libexecdir}/srvadmin-omilcore/Funcs.sh
    DCECFG=$(GetRegVal %{sysconfdir}/omreg.cfg OMDataEngine.configtool)

    if [ -z "$DCECFG" ]; then
        # data engine not installed (not really possible)
        echo "Could not register data engine components because data engine not installed."
        exit 1
    fi

    ${DCECFG} \
        command=addpopalias update=TRUE startuptype=automatic \
        aliasname=dcrac4    \
        pathfname="%{omlibexecdir}/libdcrac4.so" \
        dispatchfn=DCRAC4_SMPopulatorDispatch   \
        displayname="Remote Access Controller 4 Data Populator"


